using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelContracts.StoragesContracts;

public interface IGuestStorage
{
    List<GuestViewModel> GetFullList();
    List<GuestViewModel> GetFilteredList(GuestSearchModel model);
    GuestViewModel? GetElement(GuestSearchModel model);
    GuestViewModel? Insert(GuestBindingModel model);
    GuestViewModel? Update(GuestBindingModel model);
    GuestViewModel? Delete(GuestBindingModel model);
}